﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr290_1
{
    // Главный класс:
    class Program
    {
        // Главный метод: 
        static void Main()
        {
            // Текущая дата и время:
            DateTime today = DateTime.Now;
            // Текущая дата:
            Console.WriteLine("Teкущая дата: {0}", DateTime.Today);
            // Использование свойств и методов 
            // структуры DateTime:
            Console.WriteLine("Дата и время: {0}", today);
            Console.WriteLine("Год: {0}", today.Year);
            Console.WriteLine("Високосный: {0} ", DateTime.IsLeapYear(today.Year)); 
            Console.WriteLine("Месяц: {0}", today.Month);
            Console.WriteLine("День недели: {0}", today.DayOfWeek); 
            Console.WriteLine("День в году: {0}", today.DayOfYear); 
            Console.WriteLine("Часы: {0}", today.Hour);
            Console.WriteLine("Минуты: {0}", today.Minute);
            Console.WriteLine("Секунды: {0}", today.Second);
            Console.WriteLine("Миллисекунды: {0}", today.Millisecond); 
            Console.WriteLine("Такты: {0}", today.Ticks);
            // Новая дата и время:
            DateTime date = new DateTime(1974, 10, 22, 6, 15, 12);
            Console.WriteLine(date.ToString("Новая дата: dd MMMM yyyy; время - HH:mm:ss")); 
            // Интервал времени:
            TimeSpan time = new TimeSpan(17, 71, 125);
            // Операции с датой и временем:
            Console.WriteLine("Интервал времени: {0}", time);
            Console.WriteLine("Eщe одна дата: {0}", date.Add(time)); 
            Console.WriteLine("Paзность дат (дней): {0}", (today - date).Days); 
            Console.WriteLine("Paзность дат (тактов): {0}", (today - date).Ticks);
            // Задержка:
            Console.ReadLine();
        }
    }
}
